import request from '@/utils/request'

/**
 * 用户 API
 */

const UserApi = {
  User: '/user',
  All: '/user/all',
  test: '/test',
}

export function test(parameter) {
  return request({
    url: UserApi.test,
    method: 'get',
    params: parameter
  })
}

export function queryUser(parameter) {
  return request({
    url: UserApi.User,
    method: 'get',
    params: parameter
  })
}

export function addUser(parameter) {
  return request({
    url: UserApi.User,
    method: 'post',
    data: parameter
  })
}

export function updateUser(parameter) {
  return request({
    url: UserApi.User,
    method: 'put',
    data: parameter
  })
}

export function deleteUser(parameter) {
  return request({
    url: UserApi.User,
    method: 'delete',
    data: parameter
  })
}

export function UserAll(parameter) {
  return request({
    url: UserApi.All,
    method: 'get',
    params: parameter
  })
}

export function findUserById(id) {
  return request({
    url: UserApi.User + '/' + id,
    method: 'get'
  })
}
